unit guiform;

interface

uses
  {$IFDEF FPC}
  LResources,
  {$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, dx_scene, dx_vgcore, dx_vglayer, dx_ani,
  ExtCtrls, dx_objects;

type
  TfrmGuiDemo = class(TForm)
    dxScene1: TdxScene;
    Root1: TdxVisualObject;
    Layer: TdxGUIObjectLayer;
    Root2: TvxLayout;
    HudButton1: TvxButton;
    frontRotate: TdxFloatAnimation;
    frontZ: TdxFloatAnimation;
    Front: TvxBackground;
    Back: TvxBackground;
    HudButton2: TvxButton;
    GroupBox1: TvxGroupBox;
    CheckBox1: TvxCheckBox;
    RadioButton1: TvxRadioButton;
    HudTextBox1: TvxTextBox;
    HudTrackBar1: TvxTrackBar;
    HudAngleButton1: TvxAngleButton;
    Text1: TvxText;
    ShadowEffect1: TvxShadowEffect;
    modernStyle: TvxResources;
    Panel1: TvxPanel;
    AniIndicator1: TvxAniIndicator;
    PopupBox1: TvxPopupBox;
    Label1: TvxLabel;
    vistaStyle: TvxResources;
    Button1: TvxButton;
    BitmapButton1: TvxBitmapButton;
    CheckBox2: TvxCheckBox;
    Expander1: TvxExpander;
    GroupBox2: TvxGroupBox;
    Memo1: TvxMemo;
    NumberBox1: TvxNumberBox;
    ProgressBar1: TvxProgressBar;
    TrackBar1: TvxTrackBar;
    TextBox1: TvxTextBox;
    SpeedButton1: TvxSpeedButton;
    ScrollBar1: TvxScrollBar;
    Label2: TvxLabel;
    airStyle: TvxResources;
    Image1: TvxImage;
    Timer1: TTimer;
    CompoundAngleBar1: TvxCompoundAngleBar;
    CompoundTrackBar1: TvxCompoundTrackBar;
    procedure HudButton1Click(Sender: TObject);
    procedure HudButton2Click(Sender: TObject);
    procedure PopupBox1Change(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmGuiDemo: TfrmGuiDemo;

implementation

{$R *.dfm}

procedure TfrmGuiDemo.HudButton1Click(Sender: TObject);
begin
  Layer.AnimateFloat('Opacity', 0.5, 0.5);
  Layer.AnimateFloat('RotateAngle.Y', -90, 0.5);
  Layer.AnimateFloatWait('Position.Z', 300, 0.5);
  Front.Visible := false;

  Back.Visible := true;
  Layer.AnimateFloat('Opacity', 1, 0.5);
  Layer.RotateAngle.Y := 90;
  Layer.AnimateFloat('RotateAngle.Y', 0, 0.5);
  Layer.AnimateFloatWait('Position.Z', 0, 0.5);
end;

procedure TfrmGuiDemo.HudButton2Click(Sender: TObject);
begin
  Layer.AnimateFloat('RotateAngle.X', 90, 0.5);
  Layer.AnimateFloat('Opacity', 0.5, 0.5);
  Layer.AnimateFloatWait('Position.Z', 300, 0.5);
  Back.Visible := false;

  Front.Visible := true;
  Layer.RotateAngle.X := -90;
  Layer.AnimateFloat('RotateAngle.X', 0, 0.5);
  Layer.AnimateFloat('Opacity', 1, 0.5);
  Layer.AnimateFloatWait('Position.Z', 0, 0.5);
end;

procedure TfrmGuiDemo.PopupBox1Change(Sender: TObject);
begin
  case PopupBox1.ItemIndex of
    0: Layer.Style := nil;
    1: Layer.Style := modernStyle;
    2: Layer.Style := vistaStyle;
    3: Layer.Style := airStyle;
  end;
end;

procedure TfrmGuiDemo.TrackBar1Change(Sender: TObject);
begin
  ProgressBar1.Value := TrackBar1.Value * 100;
end;

end.
